import type { _VZSerialPortAttachment } from "./VZSerialPortAttachment.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _VZSpiceAgentPortAttachment extends _VZSerialPortAttachment {
    static alloc(): _VZSpiceAgentPortAttachment;
    static new(): _VZSpiceAgentPortAttachment;
    /**
     * The Spice agent port name. A console port configured with this name will spawn a Spice guest agent if supported by the guest. VZConsolePortConfiguration.attachment must be set to VZSpiceAgentPortAttachment. VZVirtioConsolePortConfiguration.isConsole must remain false on a Spice agent port.
     */
    static spiceAgentPortName(): _NSString;
    init(): _VZSpiceAgentPortAttachment;
    /**
     * Enable the Spice agent clipboard sharing capability. If enabled, the clipboard capability will be advertised to the Spice guest agent. Copy and paste events will be shared between the host and the virtual machine. This property is enabled by default.
     */
    sharesClipboard(): boolean;
    setSharesClipboard$(value: boolean): void;
}
